Next: iswspace, Previous: iswprint, Up: Ctype

### 3.23 `iswpunct`—punctuation wide character test

Synopsis

         #include <wctype.h>
         int iswpunct(wint_t c);

Description
`iswpunct` is a function which classifies wide-character values that are punctuation.

Returns
`iswpunct` returns non-zero if c is a punctuation wide character.

Portability
`iswpunct` is C99.

No supporting OS subroutines are required.